
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	Crypto
Summary:	PyCrypto - The Python Cryptography Toolkit
Summary(pl.UTF-8):	Kryptograficzny przybornik dla języka Python
Name:		python-%{module}
Version:	2.6.1
Release:	1
# Mostly Public Domain apart from parts of HMAC.py and setup.py, which are Python
License:	Public Domain and Python
Group:		Development/Languages/Python
Source0:	http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/pycrypto-%{version}.tar.gz
# Source0-md5:	55a61a054aa66812daf5161a0d5d7eda
URL:		http://www.dlitz.net/software/pycrypto/
%if %{with python2}
BuildRequires:	python
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Don't want provides for python shared objects
%define		_noautoprovfiles	%{py_sitedir}/%{module}/.*/.*.so

%description
The Toolkit is a collection of cryptographic algorithms and protocols,
implemented for use from Python. Among the contents of the package:
- hash functions: MD2, MD4, RIPEMD
- block encryption algorithms: AES, ARC2, Blowfish, CAST, DES,
  Triple-DES, IDEA, RC5
- stream encryption algorithms: ARC4, simple XOR
- public-key algorithms: RSA, DSA, ElGamal, qNEW
- protocols: All-or-nothing transforms, chaffing/winnowing
- miscellaneous: RFC1751 module for converting 128-key keys into a set
  of English words, primality testing
- some demo programs (currently all quite old and outdated)

%description -l pl.UTF-8
Ten przybornik jest zbiorem kryptograficznych algorytmów i protokołów
zaimplementowanych dla języka Python. Pakiet zawiera między innymi:
- funkcje haszujące: MD2, MD4, RIPEMD
- blokowe algorytmy szyfrujące: AES,ARC2, Blowfish, CAST, DES,
  Triple-DES, IDEA, RC5
- strumieniowe algorytmu szyfrujące: ARC4, zwykły XOR
- algorytmy z kluczem publicznym: RSA, DSA,ElGamal, qNEW
- protokoły: przekształcenia wszystko-albo-nic, chaffing/winnowing
- inne: RFC1751 moduł do konwersji kluczy 128 bitowych w zbiory słów
  angielskich, test liczb pierwszych
- programy demo (aktualnie odrobinę starych)

%package -n python3-%{module}
Summary:	PyCrypto - The Python Cryptography Toolkit
Summary(pl.UTF-8):	Kryptograficzny przybornik dla języka Python
Group:		Development/Languages/Python

%description -n python3-%{module}
The Toolkit is a collection of cryptographic algorithms and protocols,
implemented for use from Python. Among the contents of the package:
- hash functions: MD2, MD4, RIPEMD
- block encryption algorithms: AES, ARC2, Blowfish, CAST, DES,
  Triple-DES, IDEA, RC5
- stream encryption algorithms: ARC4, simple XOR
- public-key algorithms: RSA, DSA, ElGamal, qNEW
- protocols: All-or-nothing transforms, chaffing/winnowing
- miscellaneous: RFC1751 module for converting 128-key keys into a set
  of English words, primality testing
- some demo programs (currently all quite old and outdated)

%description -n python3-%{module} -l pl.UTF-8
Ten przybornik jest zbiorem kryptograficznych algorytmów i protokołów
zaimplementowanych dla języka Python. Pakiet zawiera między innymi:
- funkcje haszujące: MD2, MD4, RIPEMD
- blokowe algorytmy szyfrujące: AES,ARC2, Blowfish, CAST, DES,
  Triple-DES, IDEA, RC5
- strumieniowe algorytmu szyfrujące: ARC4, zwykły XOR
- algorytmy z kluczem publicznym: RSA, DSA,ElGamal, qNEW
- protokoły: przekształcenia wszystko-albo-nic, chaffing/winnowing
- inne: RFC1751 moduł do konwersji kluczy 128 bitowych w zbiory słów
  angielskich, test liczb pierwszych
- programy demo (aktualnie odrobinę starych)

%prep
%setup -q -n pycrypto-%{version}

%build
%if %{with python2}
# CC/CFLAGS is only for arch packages - remove on noarch packages
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build --build-base build-2 %{?with_tests:test}
%endif

%if %{with python3}
# CC/CFLAGS is only for arch packages - remove on noarch packages
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} setup.py build --build-base build-3 %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/Crypto/SelfTest
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install --skip-build \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/Crypto/SelfTest
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ACKS COPYRIGHT ChangeLog README TODO Doc
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/Cipher
%dir %{py_sitedir}/%{module}/Hash
%dir %{py_sitedir}/%{module}/Protocol
%dir %{py_sitedir}/%{module}/PublicKey
%dir %{py_sitedir}/%{module}/Random
%dir %{py_sitedir}/%{module}/Random/Fortuna
%dir %{py_sitedir}/%{module}/Random/OSRNG
%dir %{py_sitedir}/%{module}/Signature
%dir %{py_sitedir}/%{module}/Util
%attr(755,root,root) %{py_sitedir}/%{module}/*/*.so
%{py_sitedir}/%{module}/*/*.py[co]
%{py_sitedir}/%{module}/*/*/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pycrypto-*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc ACKS COPYRIGHT ChangeLog README TODO Doc
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__
%dir %{py3_sitedir}/%{module}/Cipher
%dir %{py3_sitedir}/%{module}/Hash
%dir %{py3_sitedir}/%{module}/Protocol
%dir %{py3_sitedir}/%{module}/PublicKey
%dir %{py3_sitedir}/%{module}/Random
%dir %{py3_sitedir}/%{module}/Random/Fortuna
%dir %{py3_sitedir}/%{module}/Random/OSRNG
%dir %{py3_sitedir}/%{module}/Signature
%dir %{py3_sitedir}/%{module}/Util
%attr(755,root,root) %{py3_sitedir}/%{module}/*/*.so
%{py3_sitedir}/%{module}/*/*.py
%{py3_sitedir}/%{module}/*/__pycache__
%{py3_sitedir}/%{module}/*/*/*.py
%{py3_sitedir}/%{module}/*/*/__pycache__
%{py3_sitedir}/pycrypto-*.egg-info
%endif
%changelog
* Wed Oct 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Crypto.git;a=log;h=master

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> c617610
- Python 3 support added, tests enabled

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> d6fc2a6
- Version: 2.6.1

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 1470cb3
- rebuild for fixed python eggs
- release 2 (by relup.sh)

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> df39ff5
- Up to 2.6

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> a3cc85f
- Up to 2.5

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 325b940
- Up to 2.3
- Removed patch applied upstream

* Fri Oct 29 2010 hawk <hawk@pld-linux.org> 098010a
- release 2

* Sat Jul 17 2010 Elan Ruusamäe <glen@pld-linux.org> 2897b69
- pass CC

* Sat Jul 17 2010 Elan Ruusamäe <glen@pld-linux.org> 8c6a26f
- optflags patch from fedora

* Sat Jul 17 2010 Elan Ruusamäe <glen@pld-linux.org> c650093
- up to 2.1.0, new home, new maintainer, clarified license

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a1cc7f
- release 8

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9988878
- release 7

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> 2a726de
- BR: python-modules, rpm-pythonprov

* Sat Dec 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 88696d3
- rel 6; silence deprecation warnings

* Sat Dec 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f5d8030
- silencio

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c78f7dd
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b8e8da5
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f622775
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a60620d
- converted to UTF-8

* Tue Sep 26 2006 wrobell <wrobell@pld-linux.org> 6f6ecd6
- rel. 3 to rebuild with python 2.5 (final)

